Obtener cobranza de cliente
curl --request GET \
--url https://api.lapyme.com.ar/api/v1/customer-payments/{payment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/customer-payments/{payment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/customer-payments/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"customer_payment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_name": "<string>",
"payment_number": 123,
"formatted_payment_number": "<string>",
"payment_date": "<string>",
"total_amount": 123,
"balance": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by_name": "<string>",
"settlement_total_amount": 123,
"exchange_rate": "<string>",
"notes": "<string>",
"splits": [
{
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method_name": "<string>",
"reference": "<string>",
"card_brand": "<string>",
"card_batch_number": "<string>",
"card_coupon_number": "<string>",
"card_installment_plan_code": "<string>",
"notes": "<string>",
"fee_amount": 123,
"fee_percentage_applied": "<string>",
"fee_fixed_applied": 123,
"net_amount": 123,
"check_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"register_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"safe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"credit_applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"journal_line_applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"advance_applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"withholdings": [
{
"amount": 123,
"certificate_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"province_id": "<string>",
"regimen": "<string>",
"rate": 123,
"calculation_base": 123
}
]
}
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "ID inválido",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "API key faltante o inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Scopes insuficientes",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Cobranza no encontrada",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno del servidor",
"retryable": false,
"details": []
}
}Obtener cobranza de cliente
Obtiene una cobranza de cliente por ID.
GET
/
api
/
v1
/
customer-payments
/
{payment_id}
Obtener cobranza de cliente
Was this page helpful?
⌘I

